Get the detection policy summary
curl --request GET \
--url https://api.example.com/api/policies/v2/deployments/{deploymentId}/detection-policy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/policies/v2/deployments/{deploymentId}/detection-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/policies/v2/deployments/{deploymentId}/detection-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment_slug": "my-org",
"code": {
"bundle": {
"deployment_slug": "my-org",
"product": "code",
"rulesets": [
"p/owasp-top-10",
"p/cwe-top-25"
],
"rules": [
"python.lang.security.audit.dangerous-system-call"
],
"disabled": [
"python.lang.security.audit.dangerous-eval"
],
"exceptions": [
{
"exception_type": "exclude",
"rule": "python.lang.security.audit.dangerous-system-call",
"rule_type": "rule",
"project": "my-org/legacy-svc",
"project_tag_name": "segment"
}
]
},
"state_version": "a1b2c3d4"
},
"secrets": {
"bundle": {
"deployment_slug": "my-org",
"product": "code",
"rulesets": [
"p/owasp-top-10",
"p/cwe-top-25"
],
"rules": [
"python.lang.security.audit.dangerous-system-call"
],
"disabled": [
"python.lang.security.audit.dangerous-eval"
],
"exceptions": [
{
"exception_type": "exclude",
"rule": "python.lang.security.audit.dangerous-system-call",
"rule_type": "rule",
"project": "my-org/legacy-svc",
"project_tag_name": "segment"
}
]
},
"state_version": "a1b2c3d4"
}
}Policies V2
Get the detection policy summary
Returns the detection policy bundles and state_versions for every enabled product in one read-only call. Writes always go through the per-product endpoints.
GET
/
api
/
policies
/
v2
/
deployments
/
{deploymentId}
/
detection-policy
Get the detection policy summary
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier for the deployment.
Example:
1234
Response
200 - application/json
OK
Was this page helpful?
⌘I